import com.imsl.chart.*;
import java.awt.Color;

public class SampleLabelMessage extends JFrameChart {

    public SampleLabelMessage() {        
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
  
        double y[] = {4, 6, 2, 1, 8};
        Data data = new Data(axis, y);
        data.setDataType(Data.DATA_TYPE_LINE);
        data.setLineColor(Color.pink);
        
        double xLabel[] = {1.0};
        double yLabel[] = {7.0};
        Data dataMessage = new Data(axis, xLabel, yLabel);
        dataMessage.setTextColor(Color.blue);
        dataMessage.setLabelType(Data.LABEL_TYPE_TITLE);
        dataMessage.setTitle("This is a\nsample message.");
        dataMessage.getTitle().setAlignment(Data.TEXT_X_LEFT | Data.TEXT_Y_BOTTOM);
        dataMessage.getTitle().setOffset(0.0);
    }
    
    public static void main(String argv[]) {
        new SampleLabelMessage().setVisible(true);
    }
}